/******************************\
*                              *
* EIGENVALUES AND EIGENVECTORS *
* ---------------------------- *
*                              *
*            PART II           *
*                              *
********************************
*                              *
*       DEFLATION METHOD       *
*        (General case)        *
*                              *
********************************
*                              *
*      Diochnos Dimitris       *
*          (stud1098)          *
*                              *
*      Saltampassis Nick       *
*          (stud1154)          *
*                              *
********************************
*                              *
*       3 - 5 June 2003        *
*                              *
********************************
*                              *
*          REVISIONS           *
*                              *
* 1] Mar 25, 2008              *
*[vars and comments in English]*
*                              *
* 2] Feb 26, 2009              *
* Inserted assertions to verify*
* that starting ellipsis is not*
* symmetric in all directions. *
*                              *
\******************************/

#ifndef	DEFLATION_H
#define DEFLATION_H

#include <math.h>
#include "matrix.h"
#include "prep_defs.h"
#include "power.h"

int		Deflation (MATRIXPTR, const double, const int, VECTORPTR, MATRIXPTR);
int		Recursive_Deflation (MATRIXPTR *, const double, const int, VECTORPTR, MATRIXPTR, const int);
int		Inflate_Eigenvectors (MATRIXPTR *, const double, const int, const int, const int, VECTORPTR, MATRIXPTR);

#endif
